Page MenuHomePhabricator

Abuse filter edit field is too narrow, especially if user cannot edit
Closed, ResolvedPublic

Description

Steps to reproduce:
View an abuse filter, such as https://en.wikipedia.org/wiki/Special:AbuseFilter/1

Result:

Expected result:
The abuse filter isn't as narrow

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 16 2019, 12:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Daimona renamed this task from Abuse filters rendering at half width to Abuse filter edit field is too narrow, especially if user cannot edit.Aug 17 2019, 4:06 PM

Note that the link you posted refers to a filter that you cannot edit, and thus you get reduced size. If you can edit the filter, it appears wider, although that's still narrower than I'd like to see it.

Change 530700 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Restyle edit box dimensions

https://gerrit.wikimedia.org/r/530700

Daimona claimed this task.Aug 17 2019, 4:55 PM

Change 530700 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Restyle edit box dimensions

https://gerrit.wikimedia.org/r/530700

Daimona closed this task as Resolved.Aug 21 2019, 2:52 PM
DannyS712 reopened this task as Open.Aug 27 2019, 5:12 AM

@Daimona for me this is still a problem on some filters, such as https://en.wikipedia.org/wiki/Special:AbuseFilter/978 (screenshot below, its a private filter so I hid the content)

Daimona closed this task as Resolved.Aug 27 2019, 8:19 AM

The patch still has to reach production, see https://www.mediawiki.org/wiki/MediaWiki_1.34/Roadmap and compare with the tag added at T230591#5426576.

The patch still has to reach production, see https://www.mediawiki.org/wiki/MediaWiki_1.34/Roadmap and compare with the tag added at T230591#5426576.

Sorry, my mistake